<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans 
	http://www.springframework.org/schema/beans/spring-beans-2.5.xsd
	http://www.springframework.org/schema/aop 
	http://www.springframework.org/schema/aop/spring-aop-2.5.xsd">
		
	<bean id="mappings"
		class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer">
		<!-- typed as a java.util.Properties -->
		<property name="properties">
			<value>
				jdbc.driver.className=org.postgresql.Driver
				jdbc.url=jdbc:postgresql://localhost:5432/cliente-emails

                jdbc.dataSourceName=MyPostgresql-DataSource
				jdbc.serverName=localhost
				jdbc.databaseName=cliente-emails
				jdbc.portNumber=5432
				jdbc.user=postgres
				jdbc.password=postgres
             </value>
		</property>
	</bean>
	<!--
		the DataSource (parameterized for configuration via a
		PropertyPlaceHolderConfigurer)
	-->
	<bean id="dataSource" class="org.postgresql.ds.PGPoolingDataSource"
		destroy-method="close">
		<property name="dataSourceName" value="${jdbc.dataSourceName}" />
		
		<property name="serverName" value="${jdbc.serverName}" />
		<property name="databaseName" value="${jdbc.databaseName}" />
		<property name="portNumber" value="${jdbc.portNumber}" />
		<property name="user" value="${jdbc.user}" />
		<property name="password" value="${jdbc.password}" />
	</bean>
</beans>